﻿// CCDecode: A library for decoding digital public safety standards.
// 
//  Author: Gabriel Graves
// Website: http://www.ccdecode.com/
// 
// This software has been released with no license and is public domain.
// You are free to do anything with the code for any purpose with out
// permission.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CCDecodeP25
{
    public class P25GroupVoiceChannelGrantUpdate
    {
        /// <summary>
        /// Identifier to use for the first update.
        /// </summary>
        public int Identifier1 { get; set; }

        /// <summary>
        /// Channel to use for the first update.
        /// </summary>
        public int Channel1 { get; set; }
        
        /// <summary>
        /// Talkgroup ID for the first update.
        /// </summary>
        public int TalkgroupID1 { get; set; }

        /// <summary>
        /// Identifier to use for the second update.
        /// </summary>
        public int Identifier2 { get; set; }

        /// <summary>
        /// Channel to use for the second update.
        /// </summary>
        public int Channel2 { get; set; }

        /// <summary>
        /// Talkgroup ID for the second update.
        /// </summary>
        public int TalkgroupID2 { get; set; }
    }
}